aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorThomas Deutschmann <whissi@gentoo.org>2019-07-13 14:29:14 +0200
committerThomas Deutschmann <whissi@gentoo.org>2019-07-14 13:58:11 +0200
commit7e738636523b9f8c1d5895fd551852ff54ebf635 (patch)
tree99d9639c9927da397deb2b0862892ae24acb44c7 /gen_funcs.sh
parentgen_funcs.sh: Refactor setup_cache_dir() (diff)
downloadgenkernel-7e738636523b9f8c1d5895fd551852ff54ebf635.tar.gz
genkernel-7e738636523b9f8c1d5895fd551852ff54ebf635.tar.bz2
genkernel-7e738636523b9f8c1d5895fd551852ff54ebf635.zip
gen_funcs.sh: Refactor setColorVars()
- Renamed to set_color_vars() - Use NOCOLOR variable Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
Diffstat (limited to 'gen_funcs.sh')
-rwxr-xr-xgen_funcs.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/gen_funcs.sh b/gen_funcs.sh
index 38a7a045..ed742d10 100755
--- a/gen_funcs.sh
+++ b/gen_funcs.sh
@@ -22,8 +22,8 @@ isTrue() {
return 1
}
-setColorVars() {
- if isTrue "${USECOLOR}"
+set_color_vars() {
+ if ! isTrue "${NOCOLOR}"
then
GOOD=$'\e[32;01m'
WARN=$'\e[33;01m'
@@ -40,7 +40,7 @@ setColorVars() {
UNDER=''
fi
}
-setColorVars
+set_color_vars
dump_debugcache() {
TODEBUGCACHE=no